Package org.eclipse.ecf.core.sharedobject.events

# Class SharedObjectCommitEvent

java.lang.Object
org.eclipse.ecf.core.sharedobject.events.SharedObjectCommitEvent

All Implemented Interfaces:
  `Serializable`, `ISharedObjectCommitEvent`, `ISharedObjectEvent`, `Event`

public class SharedObjectCommitEvent extends Object implements ISharedObjectCommitEvent, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SharedObjectCommitEvent()`
`SharedObjectCommitEvent(ID senderSharedObjectID)`
`SharedObjectCommitEvent(ID senderSharedObjectID, Event event)`

## Method Summary

Modifier and Type
Method
Description
`Event`
`getEvent()`
Get the Event from the sender shared object
`ID`
`getSenderSharedObjectID()`
Get ID of sender shared object responsible for this event
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SharedObjectCommitEvent

public SharedObjectCommitEvent()

Since:
  2.6

### SharedObjectCommitEvent

public SharedObjectCommitEvent(ID senderSharedObjectID, Event event)

### SharedObjectCommitEvent

public SharedObjectCommitEvent(ID senderSharedObjectID)

## Method Details

### getSenderSharedObjectID

public ID getSenderSharedObjectID()
Description copied from interface: `ISharedObjectEvent`
Get ID of sender shared object responsible for this event

Specified by:
  `getSenderSharedObjectID` in interface `ISharedObjectEvent`
Returns:
  ID of sender shared object. Will not be null.

### getEvent

public Event getEvent()
Description copied from interface: `ISharedObjectEvent`
Get the Event from the sender shared object

Specified by:
  `getEvent` in interface `ISharedObjectEvent`
Returns:
  Event the event in question

### toString

public String toString()

Overrides:
  `toString` in class `Object`